> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Read plan drills used and remaining this period, top-up drills, and drills running now



## OpenAPI

````yaml /api-reference/openapi.json get /v1/organization/drills
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
paths:
  /v1/organization/drills:
    get:
      summary: >-
        Read plan drills used and remaining this period, top-up drills, and
        drills running now
      operationId: drills.getOrganization
      responses:
        '200':
          description: Organization drill balance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DrillBalance'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    DrillBalance:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        organizationId:
          type: string
          pattern: ^org_[0-9a-z]{12,32}$
        plan:
          type: string
          minLength: 1
          maxLength: 80
        unmetered:
          type: boolean
        period:
          type: object
          properties:
            reset:
              type: string
              enum:
                - calendar_month_utc
                - billing_period
            startsAtMs:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            endsAtMs:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
          required:
            - reset
            - startsAtMs
            - endsAtMs
          additionalProperties: false
        planDrills:
          nullable: true
          type: integer
          minimum: 0
          maximum: 9007199254740991
        planDrillsUsed:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        planDrillsRemaining:
          nullable: true
          type: integer
          minimum: 0
          maximum: 9007199254740991
        topupDrillsRemaining:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        drillsAtATime:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        activeDrills:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        generatedAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - schemaVersion
        - organizationId
        - plan
        - unmetered
        - period
        - planDrills
        - planDrillsUsed
        - planDrillsRemaining
        - topupDrillsRemaining
        - drillsAtATime
        - activeDrills
        - generatedAtMs
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````